Name:           djview4
Version:        4.10.5
Release:        %mkrel 2
Epoch:          0
Summary:        DjVu viewer and browser plugin
License:        GPLv2+
Group:          Publishing
URL:            http://djvu.sourceforge.net/djview4.html
Source0:        http://downloads.sourceforge.net/djvu/djview-%{version}.tar.gz
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5
BuildRequires:  tiff-devel

%description
This package contains the djview4 viewer and browser plugin.

Highlights:

- Entirely based on the public djvulibre API.
- Entirely written in portable Qt4.
- Works with Qt/X11, Qt/Mac, and Qt/Windows.
- Continuous scrolling of pages.
- Side-by-side display of pages.
- Ability to specify a URL to the djview command.
- All plugin and CGI options available from the command line.
- All silly annotations implemented.
- Display thumbnails as a grid.
- Display outlines.
- Page names supported (see djvused command set-page-title).
- Metadata dialog (see djvused command set-meta).
- Implemented as reusable Qt widgets.

%package -n mozilla-plugin-dejavu
Summary:        UNIX-based DjVu Netscape plugin
Group:          Publishing
Requires:       %{name} = %{epoch}:%{version}-%{release}
Obsoletes:      djvulibre-browser-plugin < %{epoch}:%{version}-%{release}
Provides:       djvulibre-browser-plugin = %{epoch}:%{version}-%{release}

%description -n mozilla-plugin-dejavu
UNIX-based DjVu Netscape plugin.

%prep
%setup -q -n djview-%{version}

%build
%configure2_5x
%make

%install
%make_install

%{__ln_s} %{_bindir}/djview %{buildroot}%{_bindir}/%{name}

%{__mkdir_p} %{buildroot}%{_libdir}/netscape/plugins
%{__ln_s} %{_libdir}/mozilla/plugins/nsdejavu.so %{buildroot}%{_libdir}/netscape/plugins/nsdejavu.so

%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__cp} -a desktopfiles/prebuilt-hi32-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/djvulibre-%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__cp} -a desktopfiles/prebuilt-hi64-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/djvulibre-%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__cp} -a desktopfiles/djview.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/djvulibre-%{name}.svg

%{__cp} %{buildroot}%{_mandir}/man1/djview.1 %{buildroot}%{_mandir}/man1/%{name}.1

find %{buildroot}%{_libdir} -name "*.la" -delete -print

%files
%doc COPYING COPYRIGHT NEWS README README_translations
%{_bindir}/djview
%{_bindir}/%{name}
%{_datadir}/djvu/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/djview.1*
%{_datadir}/applications/djvulibre-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/djvulibre-%{name}.*
%{_datadir}/icons/hicolor/*/mimetypes/djvulibre-%{name}.*

%files -n mozilla-plugin-dejavu
%doc nsdejavu/README
%{_libdir}/netscape/plugins/nsdejavu.so
%{_libdir}/mozilla/plugins/nsdejavu.so
%{_mandir}/man1/nsdejavu.1*


%changelog
* Fri Jan 08 2016 alexl <alexl> 0:4.10.5-2.mga6
+ Revision: 920524
- build with qt5

* Thu Jan 07 2016 alexl <alexl> 0:4.10.5-1.mga6
+ Revision: 920497
- version 4.10.5
- del upstreamed comment-for-desktop-file.patch
- use desktop file from upstream
- del %%defattr, %%attr
- cleanup spec and adapt it for new version
- s/makeinstall_std/make_install/
- add Comment for desktop file (was generated from TS files)

* Wed Oct 15 2014 umeabot <umeabot> 0:4.9-6.mga5
+ Revision: 749538
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:4.9-5.mga5
+ Revision: 726141
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:4.9-4.mga5
+ Revision: 678760
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:4.9-3.mga4
+ Revision: 503908
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:4.9-2.mga3
+ Revision: 348830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 shlomif <shlomif> 0:4.9-1.mga3
+ Revision: 248839
- New version: 4.9

* Fri Dec 23 2011 fwang <fwang> 0:4.8-2.mga2
+ Revision: 186504
- rebuild for new libtiff

* Mon Sep 26 2011 shlomif <shlomif> 0:4.8-1.mga2
+ Revision: 148768
- New version - 4.8
- Bump to version 4.7 and update to the Mandriva-originated package

  + supp <supp>
    - imported package djview4

